#include <stdio.h>
#include <string.h>

struct naw {
    int poz0;
    int pozend;
    int przed;
    int po;
    int w_mn;
    int w_pm;
    int w_nic;
    int deleted;
}tab[128];
int N;
int ktory;
int stos[128], ps;
char line[256];
int len;

int co(char c)
{
    switch(c)
    {
    case '+':return 0;
    case '-':return 1;
    case '*':return 2;
    case '/':return 3;
    default:return 4;
    }
}

void analizuj(char *line)
{
    for(int i=0;i<len;i++)
    {
	switch(line[i])
	{
	case '(':
	    stos[ps++]=i;
	    stos[ps++]=++ktory;
            tab[ktory].poz0=i;
              if(i) {
	        if(line[i-1]=='-' || line[i-1]=='*' || line[i-1]=='/')
		   tab[ktory].przed=0;
	        else tab[ktory].przed=1;
	      }else tab[ktory].przed=0;
	      break;
	case ')':
	    {int tmp=stos[--ps];
	         tab[tmp].pozend=i;
	         --ps;
                  tab[tmp].pozend=i;
		  if(i<len-1)
		  {
		      if(line[i+1]=='*' || line[i+1]=='/')
			  tab[tmp].po=1;
		  }
		  if(tab[tmp].w_pm==0 && tab[tmp].w_mn==0)
		      tab[tmp].w_nic=1;
//                  ktory++;
	    }     break;
	case '+':
	case '-': tab[ktory].w_pm=1;
	          break;
	case '*':
	case '/': tab[ktory].w_mn=1;
	          break;
	}
    }
}

void zeruj()
{
    for(int i=0;i<128;i++)
    {
     tab[ktory-1].poz0=0;
     tab[ktory-1].pozend=0;
     tab[ktory-1].przed=0;
     tab[ktory-1].po=0;
     tab[ktory-1].w_mn=0;
     tab[ktory-1].w_pm=0;
     tab[ktory-1].w_nic=0;
    }
    ktory=-1;
    ps=0;
}

void send(int i)
{
    int poz=i-1;
    while(tab[poz].deleted==1 && poz>=0) poz--;
    if(tab[poz].pozend>tab[i].poz0)
    {
	if(tab[i].w_pm==1) tab[poz].w_pm=1;
	if(tab[i].w_mn==1) tab[poz].w_mn=1;
	if(tab[i].w_nic==1) tab[poz].w_nic=1;
    }
}

void usun(char *line)
{
    for(int i=0; i<ktory; i++)
    {
	if((tab[i].przed==0 && tab[i].po==0) ||
	   (tab[i].przed==1 && tab[i].w_pm==0))
	{
	    line[tab[i].poz0]=' ';
	    line[tab[i].pozend]=' ';
            tab[i].deleted=1;
            send(i);
	}
    }
}
void wypisz()
{
    for(int i=0;i<=ktory;i++)
    {
	printf("< poz0: %d > < pozend: %d >",tab[i].poz0,tab[i].pozend);
	printf("< przed: %d >< po: %d >",tab[i].przed,tab[i].po);
	printf("< w_pm: %d > < w_mn: %d >",tab[i].w_pm,tab[i].w_mn);
	printf("< w_nic: %d >< del: %d>\n",tab[i].w_nic,tab[i].deleted);
    }
}

int main()
{
    scanf("%d",&N);
    while(N--)
    {
	scanf("%s",line);
        len=strlen(line);
	zeruj();
	analizuj(line);
        wypisz();
	usun(line);
	for(int i=0;i<len;i++)
	    if(line[i]!=' ') printf("%c",line[i]);
	printf("\n");
    }
    return 0;
}